STRUCT SURVEY_INFO(9)

NAME
struct_survey_info - channel survey response

SYNOPSIS

struct survey_info {
  struct ieee80211_channel * channel;
  u64 channel_time;
  u64 channel_time_busy;
  u64 channel_time_ext_busy;
  u64 channel_time_rx;
  u64 channel_time_tx;
  u32 filled;
  s8 noise;
};

MEMBERS

channel
    the channel this survey record reports, mandatory

channel_time
    amount of time in ms the radio spent on the channel

channel_time_busy
    amount of time the primary channel was sensed busy

channel_time_ext_busy
    amount of time the extension channel was sensed busy

channel_time_rx
    amount of time the radio spent receiving data

channel_time_tx
    amount of time the radio spent transmitting data

filled
    bitflag of flags from enum survey_info_flags

noise
    channel noise in dBm. This and all following fields are optional

DESCRIPTION

Used by dump_survey to report back per-channel survey information.

This structure can later be expanded with things like channel duty cycle etc.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT